## org.eclipse.ocl.uml.util
Class UMLValidator

    java.lang.Object
      org.eclipse.emf.ecore.util.EObjectValidator
          org.eclipse.ocl.uml.util.UMLValidator

All Implemented Interfaces:
  EValidator

    public class UMLValidator

extends EObjectValidator

The Validator for the model.

See Also:
  `UMLPackage`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.EObjectValidator
`EObjectValidator.DynamicEDataTypeValidator`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EValidator
`EValidator.Descriptor, EValidator.PatternMatcher, EValidator.Registry, EValidator.SubstitutionLabelProvider`

Field Summary
`protected static int` `DIAGNOSTIC_CODE_COUNT` A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class
`static String` `DIAGNOSTIC_SOURCE` A constant for the `source` of diagnostic `codes` from this package
`protected ExpressionsValidator` `expressionsValidator` The cached base package validator
`static UMLValidator` `INSTANCE` The cached model package
`protected TypesValidator` `typesValidator` The cached base package validator
`protected UMLValidator` `umlValidator` The cached base package validator

Fields inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`DATA_VALUE__FRACTION_DIGITS_IN_RANGE, DATA_VALUE__LENGTH_IN_RANGE, DATA_VALUE__MATCHES_PATTERN, DATA_VALUE__TOTAL_DIGITS_IN_RANGE, DATA_VALUE__TYPE_CORRECT, DATA_VALUE__VALUE_IN_ENUMERATION, DATA_VALUE__VALUE_IN_RANGE, EOBJECT__EVERY_DATA_VALUE_CONFORMS, EOBJECT__EVERY_KEY_UNIQUE, EOBJECT__EVERY_MAP_ENTRY_UNIQUE, EOBJECT__EVERY_MULTIPCITY_CONFORMS, EOBJECT__EVERY_PROXY_RESOLVES, EOBJECT__EVERY_REFERENCE_IS_CONTAINED, EOBJECT__UNIQUE_ID`

Fields inherited from interface org.eclipse.emf.ecore.EValidator
`MARKER, RELATED_URIS_ATTRIBUTE, URI_ATTRIBUTE`

Constructor Summary
`UMLValidator()` Creates an instance of the switch

Method Summary
`protected EPackage` `getEPackage()` Returns the package of this validator switch
`ResourceLocator` `getResourceLocator()` Returns the resource locator that will be used to fetch messages for this validator's diagnostics
`protected boolean` `validate(int classifierID, Object value, DiagnosticChain diagnostics, Map<Object,Object> context)` Calls `validateXXX` for the corresponding classifier of the model
`boolean` `validateAnyType(AnyType anyType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateAssociationClassCallExp(AssociationClassCallExp associationClassCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateBagType(BagType bagType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateBooleanLiteralExp(BooleanLiteralExp booleanLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCallExp(CallExp callExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionItem(CollectionItem collectionItem, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionLiteralExp(CollectionLiteralExp collectionLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionLiteralPart(CollectionLiteralPart collectionLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionRange(CollectionRange collectionRange, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateCollectionType(CollectionType collectionType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateElementType(ElementType elementType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateEnumLiteralExp(EnumLiteralExp enumLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateExpressionInOCL(ExpressionInOCL expressionInOCL, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateFeatureCallExp(FeatureCallExp featureCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIfExp(IfExp ifExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIntegerLiteralExp(IntegerLiteralExp integerLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateInvalidLiteralExp(InvalidLiteralExp invalidLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateInvalidType(InvalidType invalidType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIterateExp(IterateExp iterateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateIteratorExp(IteratorExp iteratorExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateLetExp(LetExp letExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateLiteralExp(LiteralExp literalExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateLoopExp(LoopExp loopExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateMessageExp(MessageExp messageExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateMessageType(MessageType messageType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateNavigationCallExp(NavigationCallExp navigationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateNullLiteralExp(NullLiteralExp nullLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateNumericLiteralExp(NumericLiteralExp numericLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateOCLExpression_has_type(OCLExpression oclExpression, DiagnosticChain diagnostics, Map<Object,Object> context)` Validates the has_type constraint of 'OCL Expression'
`boolean` `validateOCLExpression(OCLExpression oclExpression, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateOperationCallExp(OperationCallExp operationCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateOrderedSetType(OrderedSetType orderedSetType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validatePrimitiveLiteralExp(PrimitiveLiteralExp primitiveLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validatePrimitiveType(PrimitiveType primitiveType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validatePropertyCallExp(PropertyCallExp propertyCallExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateRealLiteralExp(RealLiteralExp realLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateSequenceType(SequenceType sequenceType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateSetType(SetType setType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateStateExp(StateExp stateExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateStringLiteralExp(StringLiteralExp stringLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTupleLiteralExp(TupleLiteralExp tupleLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTupleLiteralPart(TupleLiteralPart tupleLiteralPart, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTupleType(TupleType tupleType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTypeExp(TypeExp typeExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateTypeType(TypeType typeType, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateUnlimitedNaturalLiteralExp(UnlimitedNaturalLiteralExp unlimitedNaturalLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateUnspecifiedValueExp(UnspecifiedValueExp unspecifiedValueExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateVariable(Variable variable, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateVariableExp(VariableExp variableExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `validateVoidType(VoidType voidType, DiagnosticChain diagnostics, Map<Object,Object> context)`

Methods inherited from class org.eclipse.emf.ecore.util.EObjectValidator

`createBadDataValueDiagnostic, createDiagnostic, getEcoreResourceLocator, getEcoreString, getFeatureLabel, getObjectLabel, getRootEValidator, getString, getValueLabel, reportDataValuePatternViolation, reportDataValueTypeViolation, reportEnumerationViolation, reportFractionDigitsViolation, reportMaxLengthViolation, reportMaxViolation, reportMinLengthViolation, reportMinViolation, reportTotalDigitsViolation, validate_DataValueConforms, validate_EveryDataValueConforms, validate_EveryDefaultConstraint, validate_EveryKeyUnique, validate_EveryMapEntryUnique, validate_EveryMultiplicityConforms, validate_EveryProxyResolves, validate_EveryReferenceIsContained, validate_KeyUnique, validate_MapEntryUnique, validate_MultiplicityConforms, validate_UniqueID, validate, validate, validate, validatePattern, wrapEnumerationValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final UMLValidator INSTANCE

  The cached model package

### DIAGNOSTIC_SOURCE

    public static final String DIAGNOSTIC_SOURCE

  A constant for the `source` of diagnostic `codes` from this package.

  See Also:
    `Diagnostic.getSource()`, `Diagnostic.getCode()`, Constant Field Values

### DIAGNOSTIC_CODE_COUNT

    protected static final int DIAGNOSTIC_CODE_COUNT

  A constant with a fixed name that can be used as the base value for additional hand written constants in a derived class.

  See Also:
    Constant Field Values

### umlValidator

    protected UMLValidator umlValidator

  The cached base package validator.

### typesValidator

    protected TypesValidator typesValidator

  The cached base package validator.

### expressionsValidator

    protected ExpressionsValidator expressionsValidator

  The cached base package validator.

Constructor Detail

### UMLValidator

    public UMLValidator()

  Creates an instance of the switch.

Method Detail

### getEPackage

    protected EPackage getEPackage()

  Returns the package of this validator switch.

  Overrides:
    `getEPackage` in class `EObjectValidator`

### validate

    protected boolean validate(int classifierID,
                               Object value,
                               DiagnosticChain diagnostics,
                               Map<Object,Object> context)

  Calls `validateXXX` for the corresponding classifier of the model.

  Overrides:
    `validate` in class `EObjectValidator`

### validateAnyType

    public boolean validateAnyType(AnyType anyType,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateVoidType

    public boolean validateVoidType(VoidType voidType,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateInvalidType

    public boolean validateInvalidType(InvalidType invalidType,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateElementType

    public boolean validateElementType(ElementType elementType,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateTypeType

    public boolean validateTypeType(TypeType typeType,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateMessageType

    public boolean validateMessageType(MessageType messageType,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validatePrimitiveType

    public boolean validatePrimitiveType(PrimitiveType primitiveType,
                                         DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

### validateCollectionType

    public boolean validateCollectionType(CollectionType collectionType,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateTupleType

    public boolean validateTupleType(TupleType tupleType,
                                     DiagnosticChain diagnostics,
                                     Map<Object,Object> context)

### validateBagType

    public boolean validateBagType(BagType bagType,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateSetType

    public boolean validateSetType(SetType setType,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateOrderedSetType

    public boolean validateOrderedSetType(OrderedSetType orderedSetType,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateSequenceType

    public boolean validateSequenceType(SequenceType sequenceType,
                                        DiagnosticChain diagnostics,
                                        Map<Object,Object> context)

### validateExpressionInOCL

    public boolean validateExpressionInOCL(ExpressionInOCL expressionInOCL,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validateAssociationClassCallExp

    public boolean validateAssociationClassCallExp(AssociationClassCallExp associationClassCallExp,
                                                   DiagnosticChain diagnostics,
                                                   Map<Object,Object> context)

### validateNavigationCallExp

    public boolean validateNavigationCallExp(NavigationCallExp navigationCallExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateFeatureCallExp

    public boolean validateFeatureCallExp(FeatureCallExp featureCallExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateCallExp

    public boolean validateCallExp(CallExp callExp,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateOCLExpression

    public boolean validateOCLExpression(OCLExpression oclExpression,
                                         DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

### validateOCLExpression_has_type

    public boolean validateOCLExpression_has_type(OCLExpression oclExpression,
                                                  DiagnosticChain diagnostics,
                                                  Map<Object,Object> context)

  Validates the has_type constraint of 'OCL Expression'.

### validateBooleanLiteralExp

    public boolean validateBooleanLiteralExp(BooleanLiteralExp booleanLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validatePrimitiveLiteralExp

    public boolean validatePrimitiveLiteralExp(PrimitiveLiteralExp primitiveLiteralExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

### validateLiteralExp

    public boolean validateLiteralExp(LiteralExp literalExp,
                                      DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateCollectionItem

    public boolean validateCollectionItem(CollectionItem collectionItem,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateCollectionLiteralPart

    public boolean validateCollectionLiteralPart(CollectionLiteralPart collectionLiteralPart,
                                                 DiagnosticChain diagnostics,
                                                 Map<Object,Object> context)

### validateCollectionLiteralExp

    public boolean validateCollectionLiteralExp(CollectionLiteralExp collectionLiteralExp,
                                                DiagnosticChain diagnostics,
                                                Map<Object,Object> context)

### validateCollectionRange

    public boolean validateCollectionRange(CollectionRange collectionRange,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validateEnumLiteralExp

    public boolean validateEnumLiteralExp(EnumLiteralExp enumLiteralExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateIfExp

    public boolean validateIfExp(IfExp ifExp,
                                 DiagnosticChain diagnostics,
                                 Map<Object,Object> context)

### validateIntegerLiteralExp

    public boolean validateIntegerLiteralExp(IntegerLiteralExp integerLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateNumericLiteralExp

    public boolean validateNumericLiteralExp(NumericLiteralExp numericLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateUnlimitedNaturalLiteralExp

    public boolean validateUnlimitedNaturalLiteralExp(UnlimitedNaturalLiteralExp unlimitedNaturalLiteralExp,
                                                      DiagnosticChain diagnostics,
                                                      Map<Object,Object> context)

### validateInvalidLiteralExp

    public boolean validateInvalidLiteralExp(InvalidLiteralExp invalidLiteralExp,
                                             DiagnosticChain diagnostics,
                                             Map<Object,Object> context)

### validateIterateExp

    public boolean validateIterateExp(IterateExp iterateExp,
                                      DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateLoopExp

    public boolean validateLoopExp(LoopExp loopExp,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateIteratorExp

    public boolean validateIteratorExp(IteratorExp iteratorExp,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### validateLetExp

    public boolean validateLetExp(LetExp letExp,
                                  DiagnosticChain diagnostics,
                                  Map<Object,Object> context)

### validateMessageExp

    public boolean validateMessageExp(MessageExp messageExp,
                                      DiagnosticChain diagnostics,
                                      Map<Object,Object> context)

### validateNullLiteralExp

    public boolean validateNullLiteralExp(NullLiteralExp nullLiteralExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateOperationCallExp

    public boolean validateOperationCallExp(OperationCallExp operationCallExp,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validatePropertyCallExp

    public boolean validatePropertyCallExp(PropertyCallExp propertyCallExp,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validateRealLiteralExp

    public boolean validateRealLiteralExp(RealLiteralExp realLiteralExp,
                                          DiagnosticChain diagnostics,
                                          Map<Object,Object> context)

### validateStateExp

    public boolean validateStateExp(StateExp stateExp,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateStringLiteralExp

    public boolean validateStringLiteralExp(StringLiteralExp stringLiteralExp,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validateTupleLiteralExp

    public boolean validateTupleLiteralExp(TupleLiteralExp tupleLiteralExp,
                                           DiagnosticChain diagnostics,
                                           Map<Object,Object> context)

### validateTupleLiteralPart

    public boolean validateTupleLiteralPart(TupleLiteralPart tupleLiteralPart,
                                            DiagnosticChain diagnostics,
                                            Map<Object,Object> context)

### validateTypeExp

    public boolean validateTypeExp(TypeExp typeExp,
                                   DiagnosticChain diagnostics,
                                   Map<Object,Object> context)

### validateUnspecifiedValueExp

    public boolean validateUnspecifiedValueExp(UnspecifiedValueExp unspecifiedValueExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

### validateVariable

    public boolean validateVariable(Variable variable,
                                    DiagnosticChain diagnostics,
                                    Map<Object,Object> context)

### validateVariableExp

    public boolean validateVariableExp(VariableExp variableExp,
                                       DiagnosticChain diagnostics,
                                       Map<Object,Object> context)

### getResourceLocator

    public ResourceLocator getResourceLocator()

  Returns the resource locator that will be used to fetch messages for this validator's diagnostics.

  Overrides:
    `getResourceLocator` in class `EObjectValidator`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.